#ifndef SUBVIEWWIN_H
#define SUBVIEWWIN_H

#include "ImageSelectorWin.h"
#include "YIQWin.h"
#include "HistogramWin.h"
#include "LinePlotWin.h"

class SubViewWin : public GlutWin
{

public:  /*private*/

  ImageSelectorWin *imagewin;
  YIQWin *yiqwin;
  HistogramWin *histwin;
  LinePlotWin *linewin;
  
public:
  SubViewWin();
  virtual ~SubViewWin();
  
  void display();
  void idle();
  void attachImage(ImageInfo info);
  virtual void keyboard(unsigned char key, int x, int y);


};



#endif 

